## com.thingmagic
Class Gen2.IDS.SL900A.StatusFlags

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.StatusFlags

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.StatusFlags

extends java.lang.Object

Constructor Summary
`Gen2.IDS.SL900A.StatusFlags(byte reply)`

Method Summary
`boolean` `getActive()`
`boolean` `getADError()`
`boolean` `getFull()`
`boolean` `getLowBattery()`
`boolean` `getOverwritten()`
`boolean` `getShelfLifeExpired()`
`boolean` `getShelfLifeHigh()`
`boolean` `getShelfLifeLow()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.IDS.SL900A.StatusFlags

    public Gen2.IDS.SL900A.StatusFlags(byte reply)

Method Detail

### getActive

    public boolean getActive()

### getFull

    public boolean getFull()

### getOverwritten

    public boolean getOverwritten()

### getADError

    public boolean getADError()

### getLowBattery

    public boolean getLowBattery()

### getShelfLifeLow

    public boolean getShelfLifeLow()

### getShelfLifeHigh

    public boolean getShelfLifeHigh()

### getShelfLifeExpired

    public boolean getShelfLifeExpired()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`